
QGIS Application - Bug report #18354

QGIS 3 crashed

2018-03-06 03:55 PM - Mohammad Basem Asaad

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 26244

Description

Crash ID: e651a3c6fce3af27a1996d631856b1676b7b1eb5

Stack Trace

QgsLocatorWidget::searchFinished :

QgsLocatorWidget::eventFilter :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processKeyEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: 001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info
CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.15063

History

#1 - 2018-03-06 04:06 PM - Giovanni Manghi

- Priority changed from Normal to High

- Assignee deleted (Mohammad Basem Asaad)

- Status changed from Open to Feedback

- Category changed from Actions to Build/Install

Please add more details, thanks.

also see #18317, #18273 and #18260

#2 - 2018-08-23 07:16 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
